<div class="animated fadeIn">
    <div class="card" style="padding: 0.2rem">
        <div class="card-header bg-gray-200 text-primary d-flex">
            <div class="mr-auto">
                <i class="fa fa-pencil-square-o text-primary"></i> {{TITLE}}
            </div>
            <button class="btn btn-sm rounded btn-outline-primary" [disabled]="createStatus" (click)="createPerson()">
                <i class="fa fa-plus-circle"></i> Nuevo Registro
            </button>
            <button style="margin-left: 1rem" class="btn btn-sm rounded btn-outline-danger" (click)="cancel()">
                <i class="fa fa-plus-circle"></i> Regresar
            </button>
        </div>
        <div class="card-body mt-4 p-0">

            <div class="row justify-content-center align-items-center text-primary">

                <div class="col-12 col-md-4">
                    <div class="form-group">
                        <label class="col-form-label">Listas:</label>
                        <div class="controls">
                            <div class="input-prepend input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text"><i class="fa fa-bars text-primary"></i></span>
                                </div>
                                <select [(ngModel)]="valueIdList" (change)="onChange()" class="form-control">
                                    <option *ngFor="let lista of listaListFiltered"
                                            value="{{ lista.id }}">{{ lista.nombre }}</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-12 col-md-4">
                    <div class="form-group">
                        <label class="col-form-label">Fecha última carga:</label>
                        <div class="controls">
                            <div class="input-prepend input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text"><i class="fa fa-calendar text-primary"></i></span>
                                </div>
                                <input [(ngModel)]="this.date" class="form-control" type="date" [disabled]="true">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-12 col-md-2">
                    <button class="btn bg-primary rounded" (click)="getListPP()">
                        <i class="fa fa-search"></i> Seleccionar
                    </button>
                </div>

            </div>
            <br>

            <div *ngIf="!createStatus && this.camposHeaders.length > 0">
                <div class="column">
                    <label class="control">Registros a mostrar:
                        <input style="width: 15%" type="number" class="input" min="1"
                               [(ngModel)]="configPage.itemsPerPage">
                    </label>
                </div>

                <table class="table table-sm table-hover">
                    <thead class="bg-primary">
                    <tr>
                        <th *ngFor="let head of this.camposHeaders">{{ head.label }}</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr *ngFor="let fields of this.fieldsRegister | paginate: configPage">
                        <td *ngFor="let field of this.ordenLista(fields)">{{ field.valor }}</td>
                    </tr>
                    </tbody>
                </table>
                <pagination-controls *ngIf="this.camposHeaders.length > 0"
                                     (pageChange)="onPageChange($event)"
                                     [id]="configPage.id"
                                     [previousLabel]="'Anterior'"
                                     [nextLabel]="'Siguiente'"

                ></pagination-controls>
            </div>
        </div>
    </div>
</div>
